#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main(int argc, char *argv[])
{
#if defined(UNSAFE)
  unsigned short len;
#else
  size_t len;
#endif
  char *buf = NULL;

  if (argc == 2+1) {
    len = strlen(argv[1]) + strlen(argv[2]);
    buf = malloc(len + 1);
    if (!buf) return 1;
    strcpy(buf, argv[1]);
    strcat(buf, argv[2]);
  }
  puts(buf);
  return 0;
}
